---
title: "rclone completion powershell"
description: "Generate the autocompletion script for powershell"
slug: rclone_completion_powershell
url: /commands/rclone_completion_powershell/
# autogenerated - DO NOT EDIT, instead edit the source code in cmd/completion/powershell/ and as part of making a release run "make commanddocs"
---
# rclone completion powershell

Generate the autocompletion script for powershell

# Synopsis

Generate the autocompletion script for powershell.

To load completions in your current shell session:

	rclone completion powershell | Out-String | Invoke-Expression

To load completions for every new session, add the output of the above command
to your powershell profile.


```
rclone completion powershell [flags]
```

# Options

```
  -h, --help              help for powershell
      --no-descriptions   disable completion descriptions
```

See the [global flags page](/flags/) for global options not listed here.

# SEE ALSO

* [rclone completion](/commands/rclone_completion/)	 - Generate the autocompletion script for the specified shell

